#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "test_print4xi.py">
#<abstract4xi abstract = "tests print4xi"/>
#<verify4xi verification = "10" target = "print4xi.py"/>
#<contextualize4xi context = "skeleton_print4xi.py; time4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'main',
            'test_print4xi',
            'test4class']
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi   

import signal
import itertools
import weakref
import logging  
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from print4xi import Print4Xi
from print4xi import print4xi
from skeleton_print4xi import SkeletonPrint4Xi
from print4xi import print4xi
from time4xi import time4xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
global t2xi 
global trace_object_count
#"
#/>

    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "test4class" usage = "
# tests Print4Xi class
#"> 
#<state4xi status = "ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def test4class():
    


    # ---------------------------------------------------------------------------------------------
    # Step 1
    # ---------------------------------------------------------------------------------------------
    p2xi = Print4Xi()
    print('~' *33)
    print("(STEP 1/33) OF TEST_PRINT4XI: CREATED P2XI OBJECT FROM PRINT4XI CLASS")

    # ---------------------------------------------------------------------------------------------
    # Step 2
    # ---------------------------------------------------------------------------------------------
    p2xi.init_all_print_objects()
    print('~' *33)
    print("(STEP 2/33) OF TEST_PRINT4XI: INTIALIZED ALL PRINT OBJECTS")     

    # ---------------------------------------------------------------------------------------------
    # Step 3
    # ---------------------------------------------------------------------------------------------    
    
    print("(STEP 3/33) OF TEST_PRINT4XI: ALPHA GROUPS ") 
    #A#
    print('=' *33)
    class2xi = 'AcquirerProxy4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_A'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('AcquirerProxy4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33) 
 
    #B#
    print('=' *33)
    class2xi = 'BaseProxy4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_B'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('BaseProxy4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
    
    #C#
    print('=' *33)
    class2xi = 'Condition4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_C'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('Condition4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
    
    #D#
    print('=' *33)
    class2xi = 'deliver_challenge4xi'
    method2xi = 'deliver_challenge4xi'
    message2xi = 'test_message_D'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('deliver_challenge4xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    #E#
    print('=' *33)
    class2xi = 'Event4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_E'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('Event4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     

    #F#
    print('=' *33)
    class2xi = 'Finalize4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_F'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('Finalize4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    
    #G#
    print('=' *33)
    class2xi = 'get_preparation_data4xi'
    method2xi = 'get_preparation_data4xi'
    message2xi = 'test_message_G'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('get_preparation_data4xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    
    #H#
    print('=' *33)
    class2xi = 'Heap4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_H'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('Heap4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    
    #I#
    print('=' *33)
    class2xi = 'IMapIterator4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_I'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('IMapIterator4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    
    #J#
    print('=' *33)
    class2xi = 'JoinableQueue4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_J'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('JoinableQueue4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    
    #K#
    print('=' *33)
    class2xi = 'KClassUnknown'
    method2xi = '__init__'
    message2xi = 'test_message_K'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('KClassUnknown', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    #L#
    print('=' *33)
    class2xi = 'ListProxy4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_L'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('ListProxy4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    #M#
    print('=' *33)
    class2xi = 'Manager4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_M'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('Manager4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33) 
 
    #N#
    print('=' *33)
    class2xi = 'NamespaceProxy4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_N'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('NamespaceProxy4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
    
    #O#
    print('=' *33)
    class2xi = 'OriginalDir4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_O'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('OriginalDir4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
    
    #P#
    print('=' *33)
    class2xi = 'PipeListener4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_P'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('PipeListener4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    #Q#
    print('=' *33)
    class2xi = 'Queue4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_Q'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('Queue4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     

    #R#
    print('=' *33)
    class2xi = 'RebuildProxy4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_R'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('RebuildProxy4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    
    #S#
    print('=' *33)
    class2xi = 'SimpleQueue4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_S'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('SimpleQueue4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    
    #T#
    print('=' *33)
    class2xi = 'TimeoutError4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_T'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('TimeoutError4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    
    #U#
    print('=' *33)
    class2xi = 'UErrorClass4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_U'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('UErrorClass4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    
    #V#
    print('=' *33)
    class2xi = 'ValueFunction4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_V'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('ValueFunction4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    
    #W#
    print('=' *33)
    class2xi = 'worker4xi'
    method2xi = '__init__'
    message2xi = 'test_message_W'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('worker4xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
        
    #X#
    print('=' *33)
    class2xi = 'XmlClient4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_X'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('XmlClient4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
            
    #Y#
    print('=' *33)
    class2xi = 'YXxxxxxxx4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_Y'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('YXxxxxxxx4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
                
    #Z#
    print('=' *33)
    class2xi = 'Zzzzzzzzzzzzz4Xi'
    method2xi = '__init__'
    message2xi = 'test_message_Z'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('Zzzzzzzzzzzzz4Xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
                
    #_#
    print('=' *33)
    class2xi = '_bootstrap4xi'
    method2xi = '_bootstrap4xi'
    message2xi = 'test_message__bootstrap4xi'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('_bootstrap4xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
                
    #_#
    print('=' *33)
    class2xi = '_run_after_forkers4xi'
    method2xi = '_run_after_forkers4xi'
    message2xi = 'test_message__run_after_forkers4xi'
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected nothing!")     
    p2xi.set_print_permission('_run_after_forkers4xi', True)
    p2xi.print_class_method(class2xi, method2xi, message2xi)
    print("expected: ", class2xi, method2xi, message2xi) 
    print('=' *33)     
    
    #sense#
    print('=' *33)
    print("(STEP 4/33) OF TEST_PRINT4XI SENSED STATITICS: ", p2xi.sense())
    print('=' *33)         
                
    print("Number of elements starting with of A/a: ", p2xi.get_len_alphabeticalgroup_print('A'))
    print("Number of elements starting with of B/b: ", p2xi.get_len_alphabeticalgroup_print('B'))
    print("Number of elements starting with of C/c: ", p2xi.get_len_alphabeticalgroup_print('C'))    
    print("Number of elements starting with of D/d: ", p2xi.get_len_alphabeticalgroup_print('D'))
    print("Number of elements starting with of E/e: ", p2xi.get_len_alphabeticalgroup_print('E'))
    print("Number of elements starting with of F/f: ", p2xi.get_len_alphabeticalgroup_print('F'))    
    print("Number of elements starting with of G/g: ", p2xi.get_len_alphabeticalgroup_print('G'))
    print("Number of elements starting with of H/h: ", p2xi.get_len_alphabeticalgroup_print('H'))
    print("Number of elements starting with of I/i: ", p2xi.get_len_alphabeticalgroup_print('I'))
    print("Number of elements starting with of J/j: ", p2xi.get_len_alphabeticalgroup_print('J'))
    print("Number of elements starting with of K/k: ", p2xi.get_len_alphabeticalgroup_print('K'))
    print("Number of elements starting with of L/l: ", p2xi.get_len_alphabeticalgroup_print('L'))
    print("Number of elements starting with of M/m: ", p2xi.get_len_alphabeticalgroup_print('M'))
    print("Number of elements starting with of N/n: ", p2xi.get_len_alphabeticalgroup_print('N'))
    print("Number of elements starting with of O/o: ", p2xi.get_len_alphabeticalgroup_print('O'))
    print("Number of elements starting with of P/p: ", p2xi.get_len_alphabeticalgroup_print('P'))
    print("Number of elements starting with of Q/q: ", p2xi.get_len_alphabeticalgroup_print('Q'))
    print("Number of elements starting with of R/r: ", p2xi.get_len_alphabeticalgroup_print('R'))
    print("Number of elements starting with of S/s: ", p2xi.get_len_alphabeticalgroup_print('S'))
    print("Number of elements starting with of T/t: ", p2xi.get_len_alphabeticalgroup_print('T'))
    print("Number of elements starting with of U/u: ", p2xi.get_len_alphabeticalgroup_print('U'))
    print("Number of elements starting with of V/v: ", p2xi.get_len_alphabeticalgroup_print('V'))
    print("Number of elements starting with of W/w: ", p2xi.get_len_alphabeticalgroup_print('W'))
    print("Number of elements starting with of X/x: ", p2xi.get_len_alphabeticalgroup_print('X'))
    print("Number of elements starting with of Y/y: ", p2xi.get_len_alphabeticalgroup_print('Y'))
    print("Number of elements starting with of Z/z: ", p2xi.get_len_alphabeticalgroup_print('Z'))
    print("Number of elements starting with of _: ", p2xi.get_len_alphabeticalgroup_print('_'))

   
    p2xi.init_alphabeticalgroup_print('A', True)
    p2xi.init_alphabeticalgroup_print('B', True)
    p2xi.init_alphabeticalgroup_print('C', True)
    p2xi.init_alphabeticalgroup_print('D', True)
    p2xi.init_alphabeticalgroup_print('E', True)
    p2xi.init_alphabeticalgroup_print('F', True)
    p2xi.init_alphabeticalgroup_print('G', True)
    p2xi.init_alphabeticalgroup_print('H', True)
    p2xi.init_alphabeticalgroup_print('I', True)
    p2xi.init_alphabeticalgroup_print('J', True)
    p2xi.init_alphabeticalgroup_print('K', True)
    p2xi.init_alphabeticalgroup_print('L', True)
    p2xi.init_alphabeticalgroup_print('M', True)
    p2xi.init_alphabeticalgroup_print('N', True)
    p2xi.init_alphabeticalgroup_print('O', True)
    p2xi.init_alphabeticalgroup_print('P', True)
    p2xi.init_alphabeticalgroup_print('Q', True)
    p2xi.init_alphabeticalgroup_print('R', True)
    p2xi.init_alphabeticalgroup_print('S', True)
    p2xi.init_alphabeticalgroup_print('T', True)
    p2xi.init_alphabeticalgroup_print('U', True)
    p2xi.init_alphabeticalgroup_print('V', True)
    p2xi.init_alphabeticalgroup_print('W', True)
    p2xi.init_alphabeticalgroup_print('X', True)
    p2xi.init_alphabeticalgroup_print('Y', True)
    p2xi.init_alphabeticalgroup_print('Z', True)
    p2xi.init_alphabeticalgroup_print('_', True)
    
    #     =================================
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  A
    # Number of elements starting with of A/a:  125
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  B
    # Number of elements starting with of B/b:  54
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  C
    # Number of elements starting with of C/c:  739
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  D
    # Number of elements starting with of D/d:  117
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  E
    # Number of elements starting with of E/e:  100
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  F
    # Number of elements starting with of F/f:  165
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  G
    # Number of elements starting with of G/g:  686
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  H
    # Number of elements starting with of H/h:  18
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  I
    # Number of elements starting with of I/i:  167
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  J
    # Number of elements starting with of J/j:  18
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  K
    # Number of elements starting with of K/k:  17
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  L
    # Number of elements starting with of L/l:  51
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  M
    # Number of elements starting with of M/m:  403
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  N
    # Number of elements starting with of N/n:  21
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  O
    # Number of elements starting with of O/o:  21
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  P
    # Number of elements starting with of P/p:  35
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  Q
    # Number of elements starting with of Q/q:  18
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  R
    # Number of elements starting with of R/r:  644
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  S
    # Number of elements starting with of S/s:  822
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  T
    # Number of elements starting with of T/t:  267
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  U
    # Number of elements starting with of U/u:  46
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  V
    # Number of elements starting with of V/v:  22
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  W
    # Number of elements starting with of W/w:  154
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  X
    # Number of elements starting with of X/x:  22
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  Y
    # Number of elements starting with of Y/y:  18
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  Z
    # Number of elements starting with of Z/z:  312
    # (STEP 1C/33) OF GET_LEN_ALPHABETICALGROUP_PRINT4XI - PASSED ALPHAGROUP:  _
    # Number of elements starting with of _:  23
                                                                                                                  
    print("STATITICS after havit set all groups to True: ", p2xi.sense())
    # ---------------------------------------------------------------------------------------------
    # reason                            
    # ---------------------------------------------------------------------------------------------
    print('=' *33)
    print("(STEP 5/33) OF TEST_PRINT4XI REASONED : ", p2xi.reason())
    print('=' *33)    
    # ---------------------------------------------------------------------------------------------
    # ace                            
    # ---------------------------------------------------------------------------------------------       
    print('=' *33)
    if p2xi.ace() is True:
        print("(STEP 6A/33) OF TEST_PRINT4XI print4xi to be ACED!")
    if p2xi.ace() is False:
        print("(STEP 6B/33) OF TEST_PRINT4XI print4xi not ready to be ACED - initialize modules to be printed True!")        
    if p2xi.ace() is None:
        print("(STEP 6C/33) OF TEST_PRINT4XI print4xi NOT to be ACED at all!")        
    print('=' *33)     

    p2xi.init_alphabeticalgroup_print('A', False)
    p2xi.init_alphabeticalgroup_print('B', False)
    p2xi.init_alphabeticalgroup_print('C', False)
    p2xi.init_alphabeticalgroup_print('D', False)
    p2xi.init_alphabeticalgroup_print('E', False)
    p2xi.init_alphabeticalgroup_print('F', False)
    p2xi.init_alphabeticalgroup_print('G', False)
    p2xi.init_alphabeticalgroup_print('H', False)
    p2xi.init_alphabeticalgroup_print('I', False)
    p2xi.init_alphabeticalgroup_print('J', False)
    p2xi.init_alphabeticalgroup_print('K', False)
    p2xi.init_alphabeticalgroup_print('L', False)
    p2xi.init_alphabeticalgroup_print('M', False)
    p2xi.init_alphabeticalgroup_print('N', False)
    p2xi.init_alphabeticalgroup_print('O', False)
    p2xi.init_alphabeticalgroup_print('P', False)
    p2xi.init_alphabeticalgroup_print('Q', False)
    p2xi.init_alphabeticalgroup_print('R', False)
    p2xi.init_alphabeticalgroup_print('S', False)
    p2xi.init_alphabeticalgroup_print('T', False)
    p2xi.init_alphabeticalgroup_print('U', False)
    p2xi.init_alphabeticalgroup_print('V', False)
    p2xi.init_alphabeticalgroup_print('W', False)
    p2xi.init_alphabeticalgroup_print('X', False)
    p2xi.init_alphabeticalgroup_print('Y', False)
    p2xi.init_alphabeticalgroup_print('Z', False)
    p2xi.init_alphabeticalgroup_print('_', False)
                                                                                                                            
    print("(STEP 7A/33) OF TEST_PRINT4XI STATITICS after havit set all groups False: ", p2xi.sense())    
    # {}
    
    # ---------------------------------------------------------------------------------------------
    # reason                            
    # ---------------------------------------------------------------------------------------------          
    print('=' *33)
    print("(STEP 8A/33) OF TEST_PRINT4XI REASONED : ", p2xi.reason())
    print('=' *33)
    # {}
    
    # ---------------------------------------------------------------------------------------------
    # ace                            
    # ---------------------------------------------------------------------------------------------       
    print('=' *33)
    if p2xi.ace() is True:
        print("(STEP 9A/33) OF TEST_PRINT4XI print4xi to be ACED!")
    if p2xi.ace() is False:
        print("(STEP 9B/33) OF TEST_PRINT4XI print4xi not ready to be ACED - initialize modules to be printed True!")        
    if p2xi.ace() is None:
        print("(STEP 9C/33) OF TEST_PRINT4XI print4xi NOT to be ACED at all!")        
       
    print('=' *33)     
                                  
    # ---------------------------------------------------------------------------------------------
    # start using it as others would do; have new objects p3,p4                         
    # ---------------------------------------------------------------------------------------------       
    p2xi = Print4Xi(False) 
    print("(STEP 10A/33) OF TEST_PRINT4XI Simulated boot: ", p2xi.sense()) 
    
    class2xi = 'test_print4xi'
    method2xi = 'test_print4xi'
    message2xi = '(STEP 10B/33) OF TEST_PRINT4XI Test Message 1/3 from test_print4xi module!'
    p2xi.set_print_permission('test_print4xi', True)
    p2xi.print(class2xi, method2xi, message2xi)
    message2xi = '(STEP 10C/33) OF TEST_PRINT4XI Test Message 2/3 from test_print4xi module!'    
    print4xi(class2xi, method2xi, message2xi)
    
    message2xi = '(STEP 10D/33) OF TEST_PRINT4XI Test Message 3/3 from test_print4xi module!'  
    p2xi.print(class2xi, method2xi, message2xi)
    print4xi(class2xi, method2xi, message2xi)

    # ---------------------------------------------------------------------------------------------
    # test skeleton                        
    # ---------------------------------------------------------------------------------------------        
    p2xi = Print4Xi()
    key_param = 'SkeletonPrint4Xi'
    set_param = True
    p2xi.set_print_permission(key_param, set_param)
    
    skeleton2xi = SkeletonPrint4Xi("Ha", "Long", "Bay", "Where the Dragons", "descend to the Sea")  
        
    print("(STEP 11A/33) OF TEST_PRINT4XI STATISTICS after having used test_print4xi: ", p2xi.sense())       
    # ---------------------------------------------------------------------------------------------
    # END OF TESTS                             
    # ---------------------------------------------------------------------------------------------                    
    print('~' *33)
    print("(STEP 33/33) OF TEST_PRINT4XI ALL TESTS COMPLETED")
    time2xi = time4xi()
    print(time2xi)
    print('~' *33)
#</function4xi>
 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "test_print4xi" usage = "
# tests functions of print4xi
#"> 
#<state4xi status = "ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def test_print4xi():
    
    print('~' *33)
    print("Print4Xi tests!")  
    print('~' *33)
 
    test4class()   
#</function4xi>
 

# -------------------------------------------------------------------------------------------------
#<function4xi function = "main" usage = "
# main function for testing print4xi
#"> 
#<state4xi status = "ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def main():

    print('=' *33)
    print("SENSING IT WITH YOURDRAGONXI!")  
    print('=' *33)
        
    test_print4xi() 
    
    print('=' *33)
    print("SENSED IT WITH YOURDRAGONXI!")    
    print('=' *33) 
                  
#</function4xi>
         
# -------------------------------------------------------------------------------------------------
# __main__                              
# -------------------------------------------------------------------------------------------------
if __name__ == '__main__':
    main()

#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
# test_print4xi.txt
#
# -------------------------------------------------------------------------------------------------
# Tests                              
# -------------------------------------------------------------------------------------------------    
#
# -------------------------------------------------------------------------------------------------
# Style sheet kind of printing which print4xi.py supports                             
# -------------------------------------------------------------------------------------------------  
# =================================
# { SkeletonPrint4Xi : __init__ ; start time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; parameter1: Ha; time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; parameter1: Ha; parameter2: Long; time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; parameter1: Ha; parameter2: Long; parameter3: Bay; time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; parameter1: Ha; parameter2: Long; parameter3: Bay; parameter4: Where the Dragons; time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; parameter1: Ha; parameter2: Long; parameter3: Ha; parameter4: Where the Dragons; parameter5: descend to the Sea; time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; start time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; comment: Comment ; time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; set first to: first; time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; set first to: first; set second to: second ; time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; set first to: first; set second to: second ; set third to: third; time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; returning time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; returning first: first; time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; returning first: first; second: second ; time: 09:07:00 04/26/09 FLE Daylight Time}
# =================================
# =================================
# { SkeletonPrint4Xi : __init__ ; returning first: first; second: second ; third: third; time: 09:07:00 04/26/09 FLE Daylight Time}
# 
# 
# ---------------------------------------------------------------------------------------------
# start using it as others would do                         
# ---------------------------------------------------------------------------------------------       
#     p2xi = Print4Xi(False) 
#     print("Simulated boot: ", p2xi.sense()) 
#     
#     class2xi = 'test_print4xi' <-- function in this case; class otherwise 
#     method2xi = 'test_print4xi' <-- function in this case; otherwise class method 
#     message2xi = 'Test Message 1/3 from test_print4xi module!' <-- test message
#     p2xi.set_print_permission('test_print4xi', True) <-- permission to print
#
#     .....the following get printed only with permission ......
#
#     p2xi.print(class2xi, method2xi, message2xi) 
#     message2xi = 'Test Message 2/3 from test_print4xi module!'    
#     print4xi(class2xi, method2xi, message2xi)
#     
#     message2xi = 'Test Message 3/3 from test_print4xi module!'  
#     p2xi.print(class2xi, method2xi, message2xi)
#     print4xi(class2xi, method2xi, message2xi)
#     
#     print("STATISTICS after having used test_print4xi: ", p2xi.sense())     
# 
# Simulated boot: <-- OK; all zeroed 
# {'A': Decimal('0.0'), 'C': Decimal('0.0'), 'B': Decimal('0.0'), 'E': Decimal('0.0'), 'D': Decimal('0.0'), 
# 'G': Decimal('0.0'), 'F': Decimal('0.0'), 'I': Decimal('0.0'), 'H': Decimal('0.0'), 'K': Decimal('0.0'), 'J': Decimal('0.0'), 
# 'M': Decimal('0.0'), 'L': Decimal('0.0'), 'O': Decimal('0.0'), 'N': Decimal('0.0'), 'Q': Decimal('0.0'), 'P': Decimal('0.0'), 
# 'S': Decimal('0.0'), 'R': Decimal('0.0'), 'U': Decimal('0.0'), 'T': Decimal('0.0'), 'W': Decimal('0.0'), 'V': Decimal('0.0'),
# 'Y': Decimal('0.0'), 'X': Decimal('0.0'), 'Z': Decimal('0.0'), '_': Decimal('0.0'), 
# 'TRUE2PERCENTAGE': Decimal('0.0'), 'TOTAL2PERCENTAGE': Decimal('1.0E+2'), 
# 'CHECK2TOTAL': 503, 
# 'TRUE2TOTAL': 0, 
# 'TOTAL': Decimal('0.0'), 
# 'FALSE2PERCENTAGE': Decimal('100.0'), 'FALSE2TOTAL': 503}
# test_print4xi2test test_print4xi Test Message 1/3 from test_print4xi module! <-- OK (with class object)
# test_print4xi2test test_print4xi Test Message 2/3 from test_print4xi module! <-- OK (with class object)
# test_print4xi2test test_print4xi Test Message 3/3 from test_print4xi module! <-- OK (with class object)
# test_print4xi2test test_print4xi Test Message 3/3 from test_print4xi module! <-- OK (with function)
# 
# STATISTICS after having used test_print4xi: <-- OK  
# {'A': Decimal('0.0'), 'C': Decimal('0.0'), 'B': Decimal('0.0'), 'E': Decimal('0.0'), 'D': Decimal('0.0'), 'G': Decimal('0.0'),
# 'F': Decimal('0.0'), 'I': Decimal('0.0'), 'H': Decimal('0.0'), 'K': Decimal('0.0'), 'J': Decimal('0.0'), 'M': Decimal('0.0'),
# 'L': Decimal('0.0'), 'O': Decimal('0.0'), 'N': Decimal('0.0'), 'Q': Decimal('0.0'), 'P': Decimal('0.0'), 'S': Decimal('0.0'), 
# 'R': Decimal('0.0'), 'U': Decimal('0.0'), 'T': Decimal('14.2857142857'), 'W': Decimal('0.0'), 'V': Decimal('0.0'), 'Y': Decimal('0.0'),
# 'X': Decimal('0.0'), 'Z': Decimal('0.0'), '_': Decimal('0.0'), 
# 'TRUE2PERCENTAGE': Decimal('0.198412698413'), <-- OK
# 'TOTAL2PERCENTAGE': Decimal('1.0E+2'), 
# 'CHECK2TOTAL': 504, 
# 'TRUE2TOTAL': 1, <-- OK
# 'TOTAL': Decimal('14'),
# 'FALSE2PERCENTAGE': Decimal('99.8015873016'),
# 'FALSE2TOTAL': 503}
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ALL TESTS COMPLETED
# 07:11:50 04/09/09 FLE Daylight Time
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#
# -------------------------------------------------------------------------------------------------
# debug_print4xi = False i.e. print4xi itself does not print                              
# -------------------------------------------------------------------------------------------------  
# ================================
# SENSE IT with yourDragonXi!
# 
# ================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi tests!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1): created p2xi object from Print4Xi class
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (2): intialized all print objects
# =================================
# expected nothing!
# expected:  AcquirerProxy4Xi __init__ test_message_A
# =================================
# =================================
# expected nothing!
# expected:  BaseProxy4Xi __init__ test_message_B
# =================================
# =================================
# expected nothing!
# expected:  Condition4Xi __init__ test_message_C
# =================================
# =================================
# expected nothing!
# expected:  deliver_challenge4xi deliver_challenge4xi test_message_D
# =================================
# =================================
# expected nothing!
# expected:  Event4Xi __init__ test_message_E
# =================================
# =================================
# expected nothing!
# expected:  Finalize4Xi __init__ test_message_F
# =================================
# =================================
# expected nothing!
# expected:  get_preparation_data4xi get_preparation_data4xi test_message_G
# =================================
# =================================
# expected nothing!
# expected:  Heap4Xi __init__ test_message_H
# =================================
# =================================
# expected nothing!
# expected:  IMapIterator4Xi __init__ test_message_I
# =================================
# =================================
# expected nothing!
# expected:  JoinableQueue4Xi __init__ test_message_J
# =================================
# expected nothing!
# expected:  KClassUnknown __init__ test_message_K
# =================================
# =================================
# expected nothing!
# expected:  ListProxy4Xi __init__ test_message_L
# =================================
# =================================
# expected nothing!
# expected:  Manager4Xi __init__ test_message_M
# =================================
# =================================
# expected nothing!
# expected:  NamespaceProxy4Xi __init__ test_message_N
# =================================
# =================================
# expected nothing!
# expected:  OriginalDir4Xi __init__ test_message_O
# =================================
# =================================
# expected nothing!
# expected:  PipeListener4Xi __init__ test_message_P
# =================================
# =================================
# expected nothing!
# expected:  Queue4Xi __init__ test_message_Q
# =================================
# =================================
# expected nothing!
# expected:  RebuildProxy4Xi __init__ test_message_R
# =================================
# =================================
# expected nothing!
# expected:  SimpleQueue4Xi __init__ test_message_S
# =================================
# =================================
# expected nothing!
# expected:  TimeoutError4Xi __init__ test_message_T
# =================================
# =================================
# expected nothing!
# expected:  UErrorClass4Xi __init__ test_message_U
# =================================
# =================================
# expected nothing!
# expected:  ValueFunction4Xi __init__ test_message_V
# =================================
# =================================
# expected nothing!
# expected:  worker4xi __init__ test_message_W
# =================================
# =================================
# expected nothing!
# expected:  XmlClient4Xi __init__ test_message_X
# =================================
# =================================
# expected nothing!
# expected:  YXxxxxxxx4Xi __init__ test_message_Y
# =================================
# =================================
# expected nothing!
# expected:  Zzzzzzzzzzzzz4Xi __init__ test_message_Z
# =================================
# =================================
# expected nothing!
# expected:  _bootstrap4xi _bootstrap4xi test_message__bootstrap4xi
# =================================
# =================================
# expected nothing!
# expected:  _run_after_forkers4xi _run_after_forkers4xi test_message__run_after_forkers4xi
# =================================
# =================================
# SENSED STATITICS:  {'A': Decimal('4.0'), 'C': Decimal('0.313479623824'), 'B': Decimal('16.6666666667'), 'E': Decimal('50.0'), 'D': Decimal('14.2857142857'), 'G': Decimal('25.0'), 'F': Decimal('9.09090909091'), 'I': Decimal('11.1111111111'), 'H': Decimal('100.0'), 'K': Decimal('50.0'), 'J': Decimal('100.0'), 'M': Decimal('20.0'), 'L': Decimal('20.0'), 'O': Decimal('20.0'), 'N': Decimal('33.3333333333'), 'Q': Decimal('100.0'), 'P': Decimal('8.33333333333'), 'S': Decimal('5.55555555556'), 'R': Decimal('7.14285714286'), 'U': Decimal('50.0'), 'T': Decimal('20.0'), 'W': Decimal('100.0'), 'V': Decimal('33.3333333333'), 'Y': Decimal('50.0'), 'X': Decimal('50.0'), 'Z': Decimal('50.0'), '_': Decimal('4.6511627907'), 'TRUE2PERCENTAGE': Decimal('5.33596837945'), 'TOTAL2PERCENTAGE': Decimal('1.0E+2'), 'CHECK2TOTAL': 506, 'TRUE2TOTAL': 27, 'TOTAL': Decimal('9.5E+2'), 'FALSE2PERCENTAGE': Decimal('94.6640316206'), 'FALSE2TOTAL': 479}
# =================================
# Number of elements starting with of A/a:  25
# Number of elements starting with of B/b:  6
# Number of elements starting with of C/c:  319
# Number of elements starting with of D/d:  7
# Number of elements starting with of E/e:  2
# Number of elements starting with of F/f:  11
# Number of elements starting with of G/g:  4
# Number of elements starting with of H/h:  1
# Number of elements starting with of I/i:  9
# Number of elements starting with of J/j:  1
# Number of elements starting with of K/k:  2
# Number of elements starting with of L/l:  5
# Number of elements starting with of M/m:  5
# Number of elements starting with of N/n:  3
# Number of elements starting with of O/o:  5
# Number of elements starting with of P/p:  12
# Number of elements starting with of Q/q:  1
# Number of elements starting with of R/r:  14
# Number of elements starting with of S/s:  18
# Number of elements starting with of T/t:  5
# Number of elements starting with of U/u:  2
# Number of elements starting with of V/v:  3
# Number of elements starting with of W/w:  1
# Number of elements starting with of X/x:  2
# Number of elements starting with of Y/y:  2
# Number of elements starting with of Z/z:  2
# Number of elements starting with of _:  43
# SENSED STATITICS:  {'A': Decimal('100.0'), 'C': Decimal('100.0'), 'B': Decimal('100.0'), 'E': Decimal('100.0'), 'D': Decimal('100.0'), 'G': Decimal('100.0'), 'F': Decimal('100.0'), 'I': Decimal('100.0'), 'H': Decimal('100.0'), 'K': Decimal('100.0'), 'J': Decimal('100.0'), 'M': Decimal('100.0'), 'L': Decimal('100.0'), 'O': Decimal('100.0'), 'N': Decimal('100.0'), 'Q': Decimal('100.0'), 'P': Decimal('100.0'), 'S': Decimal('100.0'), 'R': Decimal('100.0'), 'U': Decimal('100.0'), 'T': Decimal('100.0'), 'W': Decimal('100.0'), 'V': Decimal('100.0'), 'Y': Decimal('100.0'), 'X': Decimal('100.0'), 'Z': Decimal('100.0'), '_': Decimal('100.0'), 'TRUE2PERCENTAGE': Decimal('100.0'), 'TOTAL2PERCENTAGE': Decimal('1.0E+2'), 'CHECK2TOTAL': 502, 'TRUE2TOTAL': 502, 'TOTAL': Decimal('2.7E+3'), 'FALSE2PERCENTAGE': Decimal('0.0'), 'FALSE2TOTAL': 0}
# =================================
# REASONED :  True
# =================================
# =================================
# print4xi to be ACED!
# =================================
# SENSED STATITICS:  {'A': Decimal('0.0'), 'C': Decimal('0.0'), 'B': Decimal('0.0'), 'E': Decimal('0.0'), 'D': Decimal('0.0'), 'G': Decimal('0.0'), 'F': Decimal('0.0'), 'I': Decimal('0.0'), 'H': Decimal('0.0'), 'K': Decimal('0.0'), 'J': Decimal('0.0'), 'M': Decimal('0.0'), 'L': Decimal('0.0'), 'O': Decimal('0.0'), 'N': Decimal('0.0'), 'Q': Decimal('0.0'), 'P': Decimal('0.0'), 'S': Decimal('0.0'), 'R': Decimal('0.0'), 'U': Decimal('0.0'), 'T': Decimal('0.0'), 'W': Decimal('0.0'), 'V': Decimal('0.0'), 'Y': Decimal('0.0'), 'X': Decimal('0.0'), 'Z': Decimal('0.0'), '_': Decimal('0.0'), 'TRUE2PERCENTAGE': Decimal('0.0'), 'TOTAL2PERCENTAGE': Decimal('1.0E+2'), 'CHECK2TOTAL': 502, 'TRUE2TOTAL': 0, 'TOTAL': Decimal('0.0'), 'FALSE2PERCENTAGE': Decimal('100.0'), 'FALSE2TOTAL': 502}
# =================================
# REASONED :  False
# =================================
# =================================
# print4xi not ready to be ACED - initialize modules to be printed True!
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ALL TESTS COMPLETED
# 17:30:34 04/08/09 FLE Daylight Time
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 
#
# ------------------------------------------------------------------------------------------------------ 
# Tested Print4Xi:get_len_alphabeticalgroup_print method and get_len_alphabeticalgroup_print4xi function 
# ------------------------------------------------------------------------------------------------------ 
# 
# ace_print4xi started
# SenseStatistics4Xi['TRUE2TOTAL']:  502
# SenseStatistics4Xi['FALSE2TOTAL'] 0
# SenseStatistics4Xi['CHECK2TOTAL'] 502
# ace_print4xi returning with:  True
# print4xi to be ACED!
# 
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: ace_print method started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ace_print4xi started
# SenseStatistics4Xi['TRUE2TOTAL']:  0
# SenseStatistics4Xi['FALSE2TOTAL'] 502
# SenseStatistics4Xi['CHECK2TOTAL'] 502
# ace_print4xi returning with:  False
# print4xi not ready to be ACED - initialize modules to be printed True!
# 
# =================================
# reason_print4xi started
# SenseStatistics4Xi['TRUE2TOTAL']:  502
# SenseStatistics4Xi['FALSE2TOTAL'] 0
# SenseStatistics4Xi['CHECK2TOTAL'] 502
# reason_print4xi returning with:  True
# REASONED :  True
# =================================
# 
# =================================
# SenseStatistics4Xi['TRUE2TOTAL']:  0
# SenseStatistics4Xi['FALSE2TOTAL'] 502
# SenseStatistics4Xi['CHECK2TOTAL'] 502
# reason_print4xi returning with:  False
# REASONED :  False
# =================================
# 
# =================================
# TOTAL Objects:  502
# TOTAL with True:  0
# TOTAL with False:  502
# TRUE2PERCENTAGE:  0.0
# FALSE2PERCENTAGE:  100.0
# TOTAL2PERCENTAGE:  1.0E+2
# =================================
# 
# =================================
# TOTAL Objects:  502
# TOTAL with True:  502
# TOTAL with False:  0
# TRUE2PERCENTAGE:  100.0
# FALSE2PERCENTAGE:  0.0
# TOTAL2PERCENTAGE:  1.0E+2
# =================================
# 
# =================================
# TOTAL Objects:  502
# TOTAL with True:  502
# TOTAL with False:  0
# =================================
# SENSED STATITICS:  {
# 'FALSE2TOTAL': 0,
# 'CHECK2TOTAL': 502,
# 'TRUE2TOTAL': 502,
# 'TOTAL': Decimal('2.7E+3'),
# 'A': Decimal('100.0'),
# 'C': Decimal('100.0'),
# 'B': Decimal('100.0'),
# 'E': Decimal('100.0'),
# 'D': Decimal('100.0'),
# 'G': Decimal('100.0'),
# 'F': Decimal('100.0'),
# 'I': Decimal('100.0'),
# 'H': Decimal('100.0'),
# 'K': Decimal('100.0'),
# 'J': Decimal('100.0'),
# 'M': Decimal('100.0'),
# 'L': Decimal('100.0'),
# 'O': Decimal('100.0'),
# 'N': Decimal('100.0'),
# 'Q': Decimal('100.0'),
# 'P': Decimal('100.0'), 
# 'S': Decimal('100.0'), 
# 'R': Decimal('100.0'),
# 'U': Decimal('100.0'),
# 'T': Decimal('100.0'),
# 'W': Decimal('100.0'),
# 'V': Decimal('100.0'),
# 'Y': Decimal('100.0'),
# 'X': Decimal('100.0'),
# 'Z': Decimal('100.0'),
# '_': Decimal('100.0')}
# 
# =================================
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  A
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  A
# firstchar2xi:  A
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  25
# Number of elements starting with of A/a:  25
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  B
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  B
# firstchar2xi:  B
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  6
# Number of elements starting with of B/b:  6
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  C
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  C
# firstchar2xi:  C
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  319
# Number of elements starting with of C/c:  319
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  D
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  D
# firstchar2xi:  D
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  7
# Number of elements starting with of D/d:  7
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  E
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  E
# firstchar2xi:  E
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  2
# Number of elements starting with of E/e:  2
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  F
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  F
# firstchar2xi:  F
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  11
# Number of elements starting with of F/f:  11
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  G
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  G
# firstchar2xi:  G
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  4
# Number of elements starting with of G/g:  4
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  H
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  H
# firstchar2xi:  H
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  1
# Number of elements starting with of H/h:  1
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  I
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  I
# firstchar2xi:  I
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  9
# Number of elements starting with of I/i:  9
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  J
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  J
# firstchar2xi:  J
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  1
# Number of elements starting with of J/j:  1
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  K
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  K
# firstchar2xi:  K
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  1
# Number of elements starting with of K/k:  1
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  L
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  L
# firstchar2xi:  L
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  5
# Number of elements starting with of L/l:  5
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  M
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  M
# firstchar2xi:  M
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  5
# Number of elements starting with of M/m:  5
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  N
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  N
# firstchar2xi:  N
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  3
# Number of elements starting with of N/n:  3
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  O
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  O
# firstchar2xi:  O
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  5
# Number of elements starting with of O/o:  5
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  P
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  P
# firstchar2xi:  P
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  12
# Number of elements starting with of P/p:  12
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  Q
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  Q
# firstchar2xi:  Q
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  1
# Number of elements starting with of Q/q:  1
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  R
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  R
# firstchar2xi:  R
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  14
# Number of elements starting with of R/r:  14
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  S
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  S
# firstchar2xi:  S
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  18
# Number of elements starting with of S/s:  18
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  T
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  T
# firstchar2xi:  T
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  5
# Number of elements starting with of T/t:  5
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  U
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  U
# firstchar2xi:  U
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  1
# Number of elements starting with of U/u:  1
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  V
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  V
# firstchar2xi:  V
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  3
# Number of elements starting with of V/v:  3
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  W
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  W
# firstchar2xi:  W
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  1
# Number of elements starting with of W/w:  1
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  X
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  X
# firstchar2xi:  X
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  2
# Number of elements starting with of X/x:  2
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  Y
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  Y
# firstchar2xi:  Y
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  1
# Number of elements starting with of Y/y:  1
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  Z
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  Z
# firstchar2xi:  Z
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  1
# Number of elements starting with of Z/z:  1
# Print4Xi:get_len_alphabeticalgroup_print passing alpha2xi:  _
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# get_len_alphabeticalgroup_print4xi:
# alphagroup:  _
# firstchar2xi:  _
# Print4Xi:get_len_alphabeticalgroup_print returnin len2xi:  43
# Number of elements starting with of _:  43
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 10:55:38 04/08/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: sense_print
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: sense_print4xi started
# A objects total:  25
# A objects with True:  25
# A objects with False:  0
# B objects total:  6
# B objects with True:  1
# B objects with False:  5
# C objects total:  319
# C objects with True:  1
# C objects with False:  318
# D objects total:  7
# D objects with True:  1
# D objects with False:  6
# E objects total:  2
# E objects with True:  1
# E objects with False:  1
# F objects total:  11
# F objects with True:  1
# F objects with False:  10
# G objects total:  4
# G objects with True:  1
# G objects with False:  3
# H objects total:  1
# H objects with True:  1
# H objects with False:  0
# I objects total:  9
# I objects with True:  1
# I objects with False:  8
# J objects total:  1
# J objects with True:  1
# J objects with False:  0
# K objects total:  1
# K objects with True:  1
# K objects with False:  0
# L objects total:  5
# L objects with True:  1
# L objects with False:  4
# M objects total:  5
# M objects with True:  1
# M objects with False:  4
# N objects total:  3
# N objects with True:  1
# N objects with False:  2
# O objects total:  5
# O objects with True:  1
# O objects with False:  4
# P objects total:  12
# P objects with True:  1
# P objects with False:  11
# Q objects total:  1
# Q objects with True:  1
# Q objects with False:  0
# R objects total:  14
# R objects with True:  1
# R objects with False:  13
# S objects total:  18
# S objects with True:  1
# S objects with False:  17
# T objects total:  5
# T objects with True:  1
# T objects with False:  4
# U objects total:  1
# U objects with True:  1
# U objects with False:  0
# V objects total:  3
# V objects with True:  1
# V objects with False:  2
# W objects total:  1
# W objects with True:  1
# W objects with False:  0
# X objects total:  2
# X objects with True:  1
# X objects with False:  1
# Y objects total:  1
# Y objects with True:  1
# Y objects with False:  0
# Z objects total:  1
# Z objects with True:  1
# Z objects with False:  0
# _ objects total:  43
# _ objects with True:  2
# _ objects with False:  41
# =================================
# TOTAL Objects:  502
# TOTAL with True:  51
# TOTAL with False:  451
# =================================
# SENSED STATITICS:

# 'FALSE2TOTAL': 451,
# 'CHECK2TOTAL': 502,
# 'TRUE2TOTAL': 51,
# 'TOTAL': Decimal('1.2E+3'),
# 'A': Decimal('100.0'),
# 'C': Decimal('0.313479623824'),
# 'B': Decimal('16.6666666667'),
# 'E': Decimal('50.0'),
# 'D': Decimal('14.2857142857'),
# 'G': Decimal('25.0'),
# 'F': Decimal('9.09090909091'),
# 'I': Decimal('11.1111111111'),
# 'H': Decimal('100.0'),
# 'K': Decimal('100.0'),
# 'J': Decimal('100.0'),
# 'M': Decimal('20.0'),
# 'L': Decimal('20.0'),
# 'O': Decimal('20.0'),
# 'N': Decimal('33.3333333333'),
# 'Q': Decimal('100.0'),
# 'P': Decimal('8.33333333333'),
# 'S': Decimal('5.55555555556'),
# 'R': Decimal('7.14285714286'),
# 'U': Decimal('100.0'),
# 'T': Decimal('20.0'),
# 'W': Decimal('100.0'),
# 'V': Decimal('33.3333333333'),
# 'Y': Decimal('100.0'),
# 'X': Decimal('50.0'),
# 'Z': Decimal('100.0'),
# '_': Decimal('4.6511627907')}
#  
# ================================
# SENSE IT with yourDragonXi!
# 
# ================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi tests!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# # 00:07:56 03/31/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 00:07:56 03/31/09 FLE Daylight Time
# init_all_print_objects4xi initialized to:  False
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1): created p2xi object from Print4Xi class
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 00:07:56 03/31/09 FLE Daylight Time
# init_all_print_objects4xi started
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 00:07:56 03/31/09 FLE Daylight Time
# init_all_print_objects4xi initialized to:  False
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (2): intialized all print objects
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  AcquirerProxy4Xi
# 2) method:  __init__
# 3) message:  test_message_A
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  AcquirerProxy4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_A
# (4/7) keyclass2xi:  AcquirerProxy4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  AcquirerProxy4Xi2test
# (3/113) get_print_permission4xi: first character:  A
# (4/113) get_print_permission4xi APrint4Xi[key2xi]:  False
# (6/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  AcquirerProxy4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  AcquirerProxy4Xi
# set_param:  True
# key2xi:  AcquirerProxy4Xi2test
# firstchar2xi:  A
# APrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  AcquirerProxy4Xi
# 2) method:  __init__
# 3) message:  test_message_A
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  AcquirerProxy4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_A
# (4/7) keyclass2xi:  AcquirerProxy4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  AcquirerProxy4Xi2test
# (3/113) get_print_permission4xi: first character:  A
# (4/113) get_print_permission4xi APrint4Xi[key2xi]:  True
# (5/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  AcquirerProxy4Xi2test __init__ test_message_A
# =================================
# expected:  AcquirerProxy4Xi __init__ test_message_A
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  BaseProxy4Xi
# 2) method:  __init__
# 3) message:  test_message_B
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  BaseProxy4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_B
# (4/7) keyclass2xi:  BaseProxy4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  BaseProxy4Xi2test
# (3/113) get_print_permission4xi: first character:  B
# (8/113) get_print_permission4xi BPrint4Xi[key2xi]:  False
# (10/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  BaseProxy4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  BaseProxy4Xi
# set_param:  True
# key2xi:  BaseProxy4Xi2test
# firstchar2xi:  B
# BPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  BaseProxy4Xi
# 2) method:  __init__
# 3) message:  test_message_B
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  BaseProxy4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_B
# (4/7) keyclass2xi:  BaseProxy4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  BaseProxy4Xi2test
# (3/113) get_print_permission4xi: first character:  B
# (8/113) get_print_permission4xi BPrint4Xi[key2xi]:  True
# (9/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  BaseProxy4Xi2test __init__ test_message_B
# =================================
# expected:  BaseProxy4Xi __init__ test_message_B
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Condition4Xi
# 2) method:  __init__
# 3) message:  test_message_C
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Condition4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_C
# (4/7) keyclass2xi:  Condition4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Condition4Xi2test
# (3/113) get_print_permission4xi: first character:  C
# (12/113) get_print_permission4xi CPrint4Xi[key2xi]:  False
# (14/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  Condition4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  Condition4Xi
# set_param:  True
# key2xi:  Condition4Xi2test
# firstchar2xi:  C
# CPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Condition4Xi
# 2) method:  __init__
# 3) message:  test_message_C
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Condition4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_C
# (4/7) keyclass2xi:  Condition4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Condition4Xi2test
# (3/113) get_print_permission4xi: first character:  C
# (12/113) get_print_permission4xi CPrint4Xi[key2xi]:  True
# (13/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  Condition4Xi2test __init__ test_message_C
# =================================
# expected:  Condition4Xi __init__ test_message_C
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  deliver_challenge4xi
# 2) method:  deliver_challenge4xi
# 3) message:  test_message_D
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  deliver_challenge4xi
# (2/7) method:  deliver_challenge4xi
# (3/7) message:  test_message_D
# (4/7) keyclass2xi:  deliver_challenge4xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  deliver_challenge4xi2test
# (3/113) get_print_permission4xi: first character:  d
# (16/113) get_print_permission4xi DPrint4Xi[key2xi]:  False
# (18/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  deliver_challenge4xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  deliver_challenge4xi
# set_param:  True
# key2xi:  deliver_challenge4xi2test
# firstchar2xi:  d
# DPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  deliver_challenge4xi
# 2) method:  deliver_challenge4xi
# 3) message:  test_message_D
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  deliver_challenge4xi
# (2/7) method:  deliver_challenge4xi
# (3/7) message:  test_message_D
# (4/7) keyclass2xi:  deliver_challenge4xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  deliver_challenge4xi2test
# (3/113) get_print_permission4xi: first character:  d
# (16/113) get_print_permission4xi DPrint4Xi[key2xi]:  True
# (17/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  deliver_challenge4xi2test deliver_challenge4xi test_message_D
# =================================
# expected:  deliver_challenge4xi deliver_challenge4xi test_message_D
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Event4Xi
# 2) method:  __init__
# 3) message:  test_message_E
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Event4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_E
# (4/7) keyclass2xi:  Event4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Event4Xi2test
# (3/113) get_print_permission4xi: first character:  E
# (20/113) get_print_permission4xi EPrint4Xi[key2xi]:  False
# (22/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  Event4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  Event4Xi
# set_param:  True
# key2xi:  Event4Xi2test
# firstchar2xi:  E
# EPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Event4Xi
# 2) method:  __init__
# 3) message:  test_message_E
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Event4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_E
# (4/7) keyclass2xi:  Event4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Event4Xi2test
# (3/113) get_print_permission4xi: first character:  E
# (20/113) get_print_permission4xi EPrint4Xi[key2xi]:  True
# (21/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  Event4Xi2test __init__ test_message_E
# =================================
# expected:  Event4Xi __init__ test_message_E
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Finalize4Xi
# 2) method:  __init__
# 3) message:  test_message_F
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Finalize4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_F
# (4/7) keyclass2xi:  Finalize4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Finalize4Xi2test
# (3/113) get_print_permission4xi: first character:  F
# (24/113) get_print_permission4xi FPrint4Xi[key2xi]:  False
# (26/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  Finalize4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  Finalize4Xi
# set_param:  True
# key2xi:  Finalize4Xi2test
# firstchar2xi:  F
# FPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Finalize4Xi
# 2) method:  __init__
# 3) message:  test_message_F
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Finalize4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_F
# (4/7) keyclass2xi:  Finalize4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Finalize4Xi2test
# (3/113) get_print_permission4xi: first character:  F
# (24/113) get_print_permission4xi FPrint4Xi[key2xi]:  True
# (25/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  Finalize4Xi2test __init__ test_message_F
# =================================
# expected:  Finalize4Xi __init__ test_message_F
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  get_preparation_data4xi
# 2) method:  get_preparation_data4xi
# 3) message:  test_message_G
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  get_preparation_data4xi
# (2/7) method:  get_preparation_data4xi
# (3/7) message:  test_message_G
# (4/7) keyclass2xi:  get_preparation_data4xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  get_preparation_data4xi2test
# (3/113) get_print_permission4xi: first character:  g
# (28/113) get_print_permission4xi GPrint4Xi[key2xi]:  False
# (30/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  get_preparation_data4xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  get_preparation_data4xi
# set_param:  True
# key2xi:  get_preparation_data4xi2test
# firstchar2xi:  g
# GPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  get_preparation_data4xi
# 2) method:  get_preparation_data4xi
# 3) message:  test_message_G
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  get_preparation_data4xi
# (2/7) method:  get_preparation_data4xi
# (3/7) message:  test_message_G
# (4/7) keyclass2xi:  get_preparation_data4xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  get_preparation_data4xi2test
# (3/113) get_print_permission4xi: first character:  g
# (28/113) get_print_permission4xi GPrint4Xi[key2xi]:  True
# (29/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  get_preparation_data4xi2test get_preparation_data4xi test_message_G
# =================================
# expected:  get_preparation_data4xi get_preparation_data4xi test_message_G
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Heap4Xi
# 2) method:  __init__
# 3) message:  test_message_H
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Heap4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_H
# (4/7) keyclass2xi:  Heap4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Heap4Xi2test
# (3/113) get_print_permission4xi: first character:  H
# (32/113) get_print_permission4xi HPrint4Xi[key2xi]:  False
# (34/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  Heap4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  Heap4Xi
# set_param:  True
# key2xi:  Heap4Xi2test
# firstchar2xi:  H
# HPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Heap4Xi
# 2) method:  __init__
# 3) message:  test_message_H
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Heap4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_H
# (4/7) keyclass2xi:  Heap4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Heap4Xi2test
# (3/113) get_print_permission4xi: first character:  H
# (32/113) get_print_permission4xi HPrint4Xi[key2xi]:  True
# (33/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  Heap4Xi2test __init__ test_message_H
# =================================
# expected:  Heap4Xi __init__ test_message_H
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  IMapIterator4Xi
# 2) method:  __init__
# 3) message:  test_message_I
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  IMapIterator4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_I
# (4/7) keyclass2xi:  IMapIterator4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  IMapIterator4Xi2test
# (3/113) get_print_permission4xi: first character:  I
# (36/113) get_print_permission4xi IPrint4Xi[key2xi]:  False
# (38/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  IMapIterator4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  IMapIterator4Xi
# set_param:  True
# key2xi:  IMapIterator4Xi2test
# firstchar2xi:  I
# IPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  IMapIterator4Xi
# 2) method:  __init__
# 3) message:  test_message_I
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  IMapIterator4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_I
# (4/7) keyclass2xi:  IMapIterator4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  IMapIterator4Xi2test
# (3/113) get_print_permission4xi: first character:  I
# (36/113) get_print_permission4xi IPrint4Xi[key2xi]:  True
# (37/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  IMapIterator4Xi2test __init__ test_message_I
# =================================
# expected:  IMapIterator4Xi __init__ test_message_I
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  JoinableQueue4Xi
# 2) method:  __init__
# 3) message:  test_message_J
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  JoinableQueue4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_J
# (4/7) keyclass2xi:  JoinableQueue4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  JoinableQueue4Xi2test
# (3/113) get_print_permission4xi: first character:  J
# (40/113) get_print_permission4xi JPrint4Xi[key2xi]:  False
# (42/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  JoinableQueue4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  JoinableQueue4Xi
# set_param:  True
# key2xi:  JoinableQueue4Xi2test
# firstchar2xi:  J
# JPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  JoinableQueue4Xi
# 2) method:  __init__
# 3) message:  test_message_J
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  JoinableQueue4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_J
# (4/7) keyclass2xi:  JoinableQueue4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  JoinableQueue4Xi2test
# (3/113) get_print_permission4xi: first character:  J
# (40/113) get_print_permission4xi JPrint4Xi[key2xi]:  True
# (41/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  JoinableQueue4Xi2test __init__ test_message_J
# =================================
# expected:  JoinableQueue4Xi __init__ test_message_J
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  KClassUnknown
# 2) method:  __init__
# 3) message:  test_message_K
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  KClassUnknown
# (2/7) method:  __init__
# (3/7) message:  test_message_K
# (4/7) keyclass2xi:  KClassUnknown2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  KClassUnknown2test
# (3/113) get_print_permission4xi: first character:  K
# (47/113) get_print_permission4xi KeyError Exception, returning with  False
# (6/7) print_class_method4xi: no print premission for:  KClassUnknown2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  KClassUnknown
# set_param:  True
# key2xi:  KClassUnknown2test
# firstchar2xi:  K
# KPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  KClassUnknown
# 2) method:  __init__
# 3) message:  test_message_K
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  KClassUnknown
# (2/7) method:  __init__
# (3/7) message:  test_message_K
# (4/7) keyclass2xi:  KClassUnknown2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  KClassUnknown2test
# (3/113) get_print_permission4xi: first character:  K
# (44/113) get_print_permission4xi KPrint4Xi[key2xi]:  True
# (45/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  KClassUnknown2test __init__ test_message_K
# =================================
# expected:  KClassUnknown __init__ test_message_K
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  ListProxy4Xi
# 2) method:  __init__
# 3) message:  test_message_L
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  ListProxy4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_L
# (4/7) keyclass2xi:  ListProxy4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  ListProxy4Xi2test
# (3/113) get_print_permission4xi: first character:  L
# (48/113) get_print_permission4xi LPrint4Xi[key2xi]:  False
# (50/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  ListProxy4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  ListProxy4Xi
# set_param:  True
# key2xi:  ListProxy4Xi2test
# firstchar2xi:  L
# LPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  ListProxy4Xi
# 2) method:  __init__
# 3) message:  test_message_L
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  ListProxy4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_L
# (4/7) keyclass2xi:  ListProxy4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  ListProxy4Xi2test
# (3/113) get_print_permission4xi: first character:  L
# (48/113) get_print_permission4xi LPrint4Xi[key2xi]:  True
# (49/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  ListProxy4Xi2test __init__ test_message_L
# =================================
# expected:  ListProxy4Xi __init__ test_message_L
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Manager4Xi
# 2) method:  __init__
# 3) message:  test_message_M
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Manager4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_M
# (4/7) keyclass2xi:  Manager4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Manager4Xi2test
# (3/113) get_print_permission4xi: first character:  M
# (52/113) get_print_permission4xi MPrint4Xi[key2xi]:  False
# (54/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  Manager4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  Manager4Xi
# set_param:  True
# key2xi:  Manager4Xi2test
# firstchar2xi:  M
# MPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Manager4Xi
# 2) method:  __init__
# 3) message:  test_message_M
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Manager4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_M
# (4/7) keyclass2xi:  Manager4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Manager4Xi2test
# (3/113) get_print_permission4xi: first character:  M
# (52/113) get_print_permission4xi MPrint4Xi[key2xi]:  True
# (53/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  Manager4Xi2test __init__ test_message_M
# =================================
# expected:  Manager4Xi __init__ test_message_M
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  NamespaceProxy4Xi
# 2) method:  __init__
# 3) message:  test_message_N
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  NamespaceProxy4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_N
# (4/7) keyclass2xi:  NamespaceProxy4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  NamespaceProxy4Xi2test
# (3/113) get_print_permission4xi: first character:  N
# (56/113) get_print_permission4xi NPrint4Xi[key2xi]:  False
# (58/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  NamespaceProxy4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  NamespaceProxy4Xi
# set_param:  True
# key2xi:  NamespaceProxy4Xi2test
# firstchar2xi:  N
# NPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  NamespaceProxy4Xi
# 2) method:  __init__
# 3) message:  test_message_N
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  NamespaceProxy4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_N
# (4/7) keyclass2xi:  NamespaceProxy4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  NamespaceProxy4Xi2test
# (3/113) get_print_permission4xi: first character:  N
# (56/113) get_print_permission4xi NPrint4Xi[key2xi]:  True
# (57/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  NamespaceProxy4Xi2test __init__ test_message_N
# =================================
# expected:  NamespaceProxy4Xi __init__ test_message_N
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  OriginalDir4Xi
# 2) method:  __init__
# 3) message:  test_message_O
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  OriginalDir4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_O
# (4/7) keyclass2xi:  OriginalDir4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  OriginalDir4Xi2test
# (3/113) get_print_permission4xi: first character:  O
# (60/113) get_print_permission4xi OPrint4Xi[key2xi]:  False
# (62/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  OriginalDir4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  OriginalDir4Xi
# set_param:  True
# key2xi:  OriginalDir4Xi2test
# firstchar2xi:  O
# OPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  OriginalDir4Xi
# 2) method:  __init__
# 3) message:  test_message_O
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  OriginalDir4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_O
# (4/7) keyclass2xi:  OriginalDir4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  OriginalDir4Xi2test
# (3/113) get_print_permission4xi: first character:  O
# (60/113) get_print_permission4xi OPrint4Xi[key2xi]:  True
# (61/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  OriginalDir4Xi2test __init__ test_message_O
# =================================
# expected:  OriginalDir4Xi __init__ test_message_O
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  PipeListener4Xi
# 2) method:  __init__
# 3) message:  test_message_P
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  PipeListener4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_P
# (4/7) keyclass2xi:  PipeListener4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  PipeListener4Xi2test
# (3/113) get_print_permission4xi: first character:  P
# (64/113) get_print_permission4xi PPrint4Xi[key2xi]:  False
# (66/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  PipeListener4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  PipeListener4Xi
# set_param:  True
# key2xi:  PipeListener4Xi2test
# firstchar2xi:  P
# PPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  PipeListener4Xi
# 2) method:  __init__
# 3) message:  test_message_P
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  PipeListener4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_P
# (4/7) keyclass2xi:  PipeListener4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  PipeListener4Xi2test
# (3/113) get_print_permission4xi: first character:  P
# (64/113) get_print_permission4xi PPrint4Xi[key2xi]:  True
# (65/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  PipeListener4Xi2test __init__ test_message_P
# =================================
# expected:  PipeListener4Xi __init__ test_message_P
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Queue4Xi
# 2) method:  __init__
# 3) message:  test_message_Q
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Queue4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_Q
# (4/7) keyclass2xi:  Queue4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Queue4Xi2test
# (3/113) get_print_permission4xi: first character:  Q
# (68/113) get_print_permission4xi QPrint4Xi[key2xi]:  False
# (70/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  Queue4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  Queue4Xi
# set_param:  True
# key2xi:  Queue4Xi2test
# firstchar2xi:  Q
# QPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Queue4Xi
# 2) method:  __init__
# 3) message:  test_message_Q
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Queue4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_Q
# (4/7) keyclass2xi:  Queue4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Queue4Xi2test
# (3/113) get_print_permission4xi: first character:  Q
# (68/113) get_print_permission4xi QPrint4Xi[key2xi]:  True
# (69/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  Queue4Xi2test __init__ test_message_Q
# =================================
# expected:  Queue4Xi __init__ test_message_Q
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  RebuildProxy4Xi
# 2) method:  __init__
# 3) message:  test_message_R
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  RebuildProxy4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_R
# (4/7) keyclass2xi:  RebuildProxy4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  RebuildProxy4Xi2test
# (3/113) get_print_permission4xi: first character:  R
# (72/113) get_print_permission4xi RPrint4Xi[key2xi]:  False
# (74/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  RebuildProxy4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  RebuildProxy4Xi
# set_param:  True
# key2xi:  RebuildProxy4Xi2test
# firstchar2xi:  R
# RPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  RebuildProxy4Xi
# 2) method:  __init__
# 3) message:  test_message_R
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  RebuildProxy4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_R
# (4/7) keyclass2xi:  RebuildProxy4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  RebuildProxy4Xi2test
# (3/113) get_print_permission4xi: first character:  R
# (72/113) get_print_permission4xi RPrint4Xi[key2xi]:  True
# (73/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  RebuildProxy4Xi2test __init__ test_message_R
# =================================
# expected:  RebuildProxy4Xi __init__ test_message_R
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  SimpleQueue4Xi
# 2) method:  __init__
# 3) message:  test_message_S
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  SimpleQueue4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_S
# (4/7) keyclass2xi:  SimpleQueue4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  SimpleQueue4Xi2test
# (3/113) get_print_permission4xi: first character:  S
# (76/113) get_print_permission4xi SPrint4Xi[key2xi]:  False
# (78/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  SimpleQueue4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  SimpleQueue4Xi
# set_param:  True
# key2xi:  SimpleQueue4Xi2test
# firstchar2xi:  S
# SPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  SimpleQueue4Xi
# 2) method:  __init__
# 3) message:  test_message_S
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  SimpleQueue4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_S
# (4/7) keyclass2xi:  SimpleQueue4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  SimpleQueue4Xi2test
# (3/113) get_print_permission4xi: first character:  S
# (76/113) get_print_permission4xi SPrint4Xi[key2xi]:  True
# (77/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  SimpleQueue4Xi2test __init__ test_message_S
# =================================
# expected:  SimpleQueue4Xi __init__ test_message_S
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  TimeoutError4Xi
# 2) method:  __init__
# 3) message:  test_message_T
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  TimeoutError4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_T
# (4/7) keyclass2xi:  TimeoutError4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  TimeoutError4Xi2test
# (3/113) get_print_permission4xi: first character:  T
# (80/113) get_print_permission4xi TPrint4Xi[key2xi]:  False
# (82/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  TimeoutError4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  TimeoutError4Xi
# set_param:  True
# key2xi:  TimeoutError4Xi2test
# firstchar2xi:  T
# TPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  TimeoutError4Xi
# 2) method:  __init__
# 3) message:  test_message_T
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  TimeoutError4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_T
# (4/7) keyclass2xi:  TimeoutError4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  TimeoutError4Xi2test
# (3/113) get_print_permission4xi: first character:  T
# (80/113) get_print_permission4xi TPrint4Xi[key2xi]:  True
# (81/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  TimeoutError4Xi2test __init__ test_message_T
# =================================
# expected:  TimeoutError4Xi __init__ test_message_T
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  UErrorClass4Xi
# 2) method:  __init__
# 3) message:  test_message_U
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  UErrorClass4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_U
# (4/7) keyclass2xi:  UErrorClass4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  UErrorClass4Xi2test
# (3/113) get_print_permission4xi: first character:  U
# (87/113) get_print_permission4xi KeyError Exception, returning with  False
# (6/7) print_class_method4xi: no print premission for:  UErrorClass4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  UErrorClass4Xi
# set_param:  True
# key2xi:  UErrorClass4Xi2test
# firstchar2xi:  U
# UPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  UErrorClass4Xi
# 2) method:  __init__
# 3) message:  test_message_U
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  UErrorClass4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_U
# (4/7) keyclass2xi:  UErrorClass4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  UErrorClass4Xi2test
# (3/113) get_print_permission4xi: first character:  U
# (84/113) get_print_permission4xi UPrint4Xi[key2xi]:  True
# (85/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  UErrorClass4Xi2test __init__ test_message_U
# =================================
# expected:  UErrorClass4Xi __init__ test_message_U
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  ValueFunction4Xi
# 2) method:  __init__
# 3) message:  test_message_V
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  ValueFunction4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_V
# (4/7) keyclass2xi:  ValueFunction4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  ValueFunction4Xi2test
# (3/113) get_print_permission4xi: first character:  V
# (88/113) get_print_permission4xi VPrint4Xi[key2xi]:  False
# (90/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  ValueFunction4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  ValueFunction4Xi
# set_param:  True
# key2xi:  ValueFunction4Xi2test
# firstchar2xi:  V
# VPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  ValueFunction4Xi
# 2) method:  __init__
# 3) message:  test_message_V
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  ValueFunction4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_V
# (4/7) keyclass2xi:  ValueFunction4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  ValueFunction4Xi2test
# (3/113) get_print_permission4xi: first character:  V
# (88/113) get_print_permission4xi VPrint4Xi[key2xi]:  True
# (89/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  ValueFunction4Xi2test __init__ test_message_V
# =================================
# expected:  ValueFunction4Xi __init__ test_message_V
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  worker4xi
# 2) method:  __init__
# 3) message:  test_message_W
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  worker4xi
# (2/7) method:  __init__
# (3/7) message:  test_message_W
# (4/7) keyclass2xi:  worker4xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  worker4xi2test
# (3/113) get_print_permission4xi: first character:  w
# (92/113) get_print_permission4xi WPrint4Xi[key2xi]:  False
# (94/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  worker4xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  worker4xi
# set_param:  True
# key2xi:  worker4xi2test
# firstchar2xi:  w
# WPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  worker4xi
# 2) method:  __init__
# 3) message:  test_message_W
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  worker4xi
# (2/7) method:  __init__
# (3/7) message:  test_message_W
# (4/7) keyclass2xi:  worker4xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  worker4xi2test
# (3/113) get_print_permission4xi: first character:  w
# (92/113) get_print_permission4xi WPrint4Xi[key2xi]:  True
# (93/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  worker4xi2test __init__ test_message_W
# =================================
# expected:  worker4xi __init__ test_message_W
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  XmlClient4Xi
# 2) method:  __init__
# 3) message:  test_message_X
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  XmlClient4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_X
# (4/7) keyclass2xi:  XmlClient4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  XmlClient4Xi2test
# (3/113) get_print_permission4xi: first character:  X
# (96/113) get_print_permission4xi XPrint4Xi[key2xi]:  False
# (98/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  XmlClient4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  XmlClient4Xi
# set_param:  True
# key2xi:  XmlClient4Xi2test
# firstchar2xi:  X
# XPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  XmlClient4Xi
# 2) method:  __init__
# 3) message:  test_message_X
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  XmlClient4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_X
# (4/7) keyclass2xi:  XmlClient4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  XmlClient4Xi2test
# (3/113) get_print_permission4xi: first character:  X
# (96/113) get_print_permission4xi XPrint4Xi[key2xi]:  True
# (97/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  XmlClient4Xi2test __init__ test_message_X
# =================================
# expected:  XmlClient4Xi __init__ test_message_X
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  YXxxxxxxx4Xi
# 2) method:  __init__
# 3) message:  test_message_Y
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  YXxxxxxxx4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_Y
# (4/7) keyclass2xi:  YXxxxxxxx4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  YXxxxxxxx4Xi2test
# (3/113) get_print_permission4xi: first character:  Y
# (103/113) get_print_permission4xi KeyError Exception, returning with  False
# (6/7) print_class_method4xi: no print premission for:  YXxxxxxxx4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  YXxxxxxxx4Xi
# set_param:  True
# key2xi:  YXxxxxxxx4Xi2test
# firstchar2xi:  Y
# YPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  YXxxxxxxx4Xi
# 2) method:  __init__
# 3) message:  test_message_Y
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  YXxxxxxxx4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_Y
# (4/7) keyclass2xi:  YXxxxxxxx4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  YXxxxxxxx4Xi2test
# (3/113) get_print_permission4xi: first character:  Y
# (100/113) get_print_permission4xi YPrint4Xi[key2xi]:  True
# (101/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  YXxxxxxxx4Xi2test __init__ test_message_Y
# =================================
# expected:  YXxxxxxxx4Xi __init__ test_message_Y
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Zzzzzzzzzzzzz4Xi
# 2) method:  __init__
# 3) message:  test_message_Z
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Zzzzzzzzzzzzz4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_Z
# (4/7) keyclass2xi:  Zzzzzzzzzzzzz4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Zzzzzzzzzzzzz4Xi2test
# (3/113) get_print_permission4xi: first character:  Z
# (107/113) get_print_permission4xi KeyError Exception, returning with  False
# (6/7) print_class_method4xi: no print premission for:  Zzzzzzzzzzzzz4Xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  Zzzzzzzzzzzzz4Xi
# set_param:  True
# key2xi:  Zzzzzzzzzzzzz4Xi2test
# firstchar2xi:  Z
# ZPrint4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  Zzzzzzzzzzzzz4Xi
# 2) method:  __init__
# 3) message:  test_message_Z
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  Zzzzzzzzzzzzz4Xi
# (2/7) method:  __init__
# (3/7) message:  test_message_Z
# (4/7) keyclass2xi:  Zzzzzzzzzzzzz4Xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  Zzzzzzzzzzzzz4Xi2test
# (3/113) get_print_permission4xi: first character:  Z
# (104/113) get_print_permission4xi ZPrint4Xi[key2xi]:  True
# (105/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  Zzzzzzzzzzzzz4Xi2test __init__ test_message_Z
# =================================
# expected:  Zzzzzzzzzzzzz4Xi __init__ test_message_Z
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  _bootstrap4xi
# 2) method:  _bootstrap4xi
# 3) message:  test_message__bootstrap4xi
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  _bootstrap4xi
# (2/7) method:  _bootstrap4xi
# (3/7) message:  test_message__bootstrap4xi
# (4/7) keyclass2xi:  _bootstrap4xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  _bootstrap4xi2test
# (3/113) get_print_permission4xi: first character:  _
# (108/113) get_print_permission4xi MYSTERIOUS key2xi _bootstrap4xi2test
# (109/113) get_print_permission4xi _Print4Xi[key2xi]:  False
# (111/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  _bootstrap4xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  _bootstrap4xi
# set_param:  True
# key2xi:  _bootstrap4xi2test
# firstchar2xi:  _
# _Print4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  _bootstrap4xi
# 2) method:  _bootstrap4xi
# 3) message:  test_message__bootstrap4xi
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  _bootstrap4xi
# (2/7) method:  _bootstrap4xi
# (3/7) message:  test_message__bootstrap4xi
# (4/7) keyclass2xi:  _bootstrap4xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  _bootstrap4xi2test
# (3/113) get_print_permission4xi: first character:  _
# (108/113) get_print_permission4xi MYSTERIOUS key2xi _bootstrap4xi2test
# (109/113) get_print_permission4xi _Print4Xi[key2xi]:  True
# (110/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  _bootstrap4xi2test _bootstrap4xi test_message__bootstrap4xi
# =================================
# expected:  _bootstrap4xi _bootstrap4xi test_message__bootstrap4xi
# =================================
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  _run_after_forkers4xi
# 2) method:  _run_after_forkers4xi
# 3) message:  test_message__run_after_forkers4xi
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  _run_after_forkers4xi
# (2/7) method:  _run_after_forkers4xi
# (3/7) message:  test_message__run_after_forkers4xi
# (4/7) keyclass2xi:  _run_after_forkers4xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  _run_after_forkers4xi2test
# (3/113) get_print_permission4xi: first character:  _
# (108/113) get_print_permission4xi MYSTERIOUS key2xi _run_after_forkers4xi2test
# (109/113) get_print_permission4xi _Print4Xi[key2xi]:  False
# (111/113) get_print_permission4xi returning with  False
# (6/7) print_class_method4xi: no print premission for:  _run_after_forkers4xi2test
# expected nothing!
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# set_print_permission4xi:
# key_param:  _run_after_forkers4xi
# set_param:  True
# key2xi:  _run_after_forkers4xi2test
# firstchar2xi:  _
# _Print4Xi[key2xi]:  True
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Print4Xi: print_class_method:
# 1) class:  _run_after_forkers4xi
# 2) method:  _run_after_forkers4xi
# 3) message:  test_message__run_after_forkers4xi
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# print_class_method4xi:
# (1/7) class:  _run_after_forkers4xi
# (2/7) method:  _run_after_forkers4xi
# (3/7) message:  test_message__run_after_forkers4xi
# (4/7) keyclass2xi:  _run_after_forkers4xi2test
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# (1/113) get_print_permission4xi started:
# (2/113) key_param:  _run_after_forkers4xi2test
# (3/113) get_print_permission4xi: first character:  _
# (108/113) get_print_permission4xi MYSTERIOUS key2xi _run_after_forkers4xi2test
# (109/113) get_print_permission4xi _Print4Xi[key2xi]:  True
# (110/113) get_print_permission4xi returning with  True
# =================================
# 00:07:56 03/31/09 FLE Daylight Time
# (5/7)  _run_after_forkers4xi2test _run_after_forkers4xi test_message__run_after_forkers4xi
# =================================
# expected:  _run_after_forkers4xi _run_after_forkers4xi test_message__run_after_forkers4xi
# =================================
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# ALL TESTS COMPLETED
# 00:07:56 03/31/09 FLE Daylight Time
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# 
# e:\Sw4Xi\Python30\Lib\multiprocessing4xi>cd .. 
# 
# e:\Sw4Xi\Python30\Lib>cd .. 
# 
# e:\Sw4Xi\Python30>cd bat 

#
# NACK4SENSE
# NACK4REASON
# NACK4ACE
# 
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of test_print4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
